Skip to navigation
EndpointRetrieve daily usage statistics for an endpoint

Retrieve daily usage statistics for an endpoint

Returns daily usage statistics for a specific endpoint, including cellular data and SMS volumes.

By default, returns statistics for the current month. Use start_date and end_date query parameters to specify a custom date range.

Historical data is available for up to 13 months.

Data traffic cost statistics (cost field in the data object) have been deprecated.

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the /api/v1/authenticate POST request.

Path parameters

endpoint_idintegerRequired
Numeric ID of an endpoint

Query parameters

start_datestringOptionalformat: "date"

Filters by start date, provided in a YYYY-MM-DD format.

If you don’t define an end date, the response will include 6 months of data, beginning on the current date.

end_datestringOptionalformat: "date"

Filters by end date, provided in an YYYY-MM-DD format.

If you don’t define a start date, the response will only return data from the month indicated in your end date.

Response

Successfully returned the daily endpoint statistics.

Each day’s entry contains:

  • date: The date in YYYY-MM-DD format
  • data: Cellular data usage (volume in MB)
  • sms: SMS usage (volume as message count)

Volume fields include volume (total), volume_tx (transmitted), and volume_rx (received).

datestringOptionalformat: "date"

The date for this statistics entry (YYYY-MM-DD format).

dataobjectOptional
Cellular data usage for this day.
smsobjectOptional
SMS usage for this day.

Errors

403
Forbidden Error